% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/num_row.R
\name{num_row}
\alias{num_row}
\title{Numeric Row}
\usage{
num_row(
  list_obj,
  row_var,
  col_var = NULL,
  newdata = FALSE,
  rowlabels = NULL,
  summary = num_default,
  missing = NULL,
  overall = NULL,
  comparison = NULL,
  digits = 2
)
}
\arguments{
\item{list_obj}{the name of the tbl_start object previously initialized.}

\item{row_var}{the name of the variable to be used in the rows.}

\item{col_var}{the variable to be used in the table columns. Default is from initialized tbl_start object.}

\item{newdata}{enter new dataset name if different from that initialized in tbl_start.}

\item{rowlabels}{the label for the table row name, if different from row_var.}

\item{summary}{summary function for the data. Default will compute 5-number summary plus mean and standard deviation.}

\item{missing}{logical: if TRUE, missing data is considered; FALSE only uses complete cases.}

\item{overall}{logical: if TRUE, an overall column is included.}

\item{comparison}{the name of the comparison test to use, if different from that initialized in tbl_start.}

\item{digits}{significant digits to use.}
}
\value{
A list with the numeric row's table information added as a new element to \code{list_obj}.
}
\description{
Adds in a numeric row to the table.
}
\examples{
x <- tbl_start(iris, "Species", missing=TRUE, overall=TRUE, comparison=TRUE) \%>\%
  num_row("Sepal.Length", rowlabels="Sepal Length")
}
\keyword{tangram.pipe}
